local actions = require('telescope.actions')

local mappingTab = {
  i = {
    ['<cr>'] = actions.select_tab,
    ['<C-b>'] = actions.select_default,
  },
}

require('telescope').setup({
  defaults = {
    mappings = {
      i = {
        ['<esc>'] = actions.close,
        ['<cr>'] = actions.select_default + actions.center,
        ['<C-l>'] = actions.send_selected_to_loclist,
        ['<C-q>'] = actions.smart_send_to_qflist,
      },
    },
  },
  pickers = {
    -- Your special builtin config goes in here
    buffers = {
      sort_lastused = true,
      theme = 'ivy',
      mappings = {
        i = {
          ['<c-w>'] = actions.delete_buffer,
          ['<cr>'] = actions.select_default,
        },
        n = {
          ['<c-w>'] = actions.delete_buffer,
        },
      },
    },
    find_files = {
      theme = 'ivy',
      previewer = false,
    },
    oldfiles = {
      theme = 'ivy',
    },
    git_files = {
      theme = 'ivy',
      previewer = false,
    },
    lsp_dynamic_workspace_symbols = {},
  },
})

require('telescope').load_extension('fzf')

local utils = require('utils')
utils.map('n', '<leader>f', "<cmd>lua require('telescope.builtin').find_files({no_ignore=true})<cr>")
utils.map('n', '<C-p>', '<cmd>lua require("telescope.builtin").find_files({no_ignore=true})<cr>')
utils.map('n', '<leader>g', '<cmd>Telescope git_files<cr>')
utils.map('n', '<leader>o', '<cmd>Telescope oldfiles<cr>')
utils.map('n', '<leader>h', '<cmd>Telescope command_history<cr>')
utils.map('v', '<leader>h', '<cmd>Telescope command_history<cr>')
utils.map('n', '<C-S-p>', '<cmd>Telescope commands<cr>')
utils.map('n', '<leader>b', '<cmd>Telescope buffers<cr>')
utils.map('n', '<leader>q', '<cmd>Telescope quickfix<cr>')
utils.map('n', '<leader>l', '<cmd>Telescope live_grep<cr>')
utils.map('n', '<c-s-f>', '<cmd>Telescope live_grep<cr>')
utils.map('n', '<C-y>', '<cmd>Telescope neoclip<cr>')
utils.map('n', '<leader>j', '<cmd>Telescope jumplist<cr>')
utils.map('n', '<c-f>', '<cmd>Telescope current_buffer_fuzzy_find<cr>')
